CREATE EXTENSION IF NOT EXISTS postgis;

CREATE TABLE IF NOT EXISTS orders
(
    ORDER_ID BIGSERIAL PRIMARY KEY,
    PRICE DOUBLE PRECISION,
    DELIVERY_PRICE DOUBLE PRECISION,
    LNG DOUBLE PRECISION,
    LAT DOUBLE PRECISION,
    LOCATION geometry(POINT,4326),
    IS_DELIVERED BOOLEAN,
    CREATED_AT TIMESTAMP
);

CREATE INDEX IDX_ORDERS_ORDER_ID ON orders (ORDER_ID);

CREATE INDEX ORDERS_GIX ON orders USING GIST (LOCATION);

CREATE TABLE IF NOT EXISTS courier
(
    ID BIGSERIAL PRIMARY KEY,
    NAME CHAR(10) UNIQUE,
    SCORE INTEGER,
    LOCATION geometry(POINT, 4326)
);

CREATE INDEX COURIER_GIX ON courier USING GIST (LOCATION);